org.yaml.snakeyaml.events

## Class ScalarEvent

- java.lang.Object
- - org.yaml.snakeyaml.events.Event
  - - org.yaml.snakeyaml.events.NodeEvent
    - - org.yaml.snakeyaml.events.ScalarEvent

    public final class ScalarEvent
    extends NodeEvent

Marks a scalar value.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.events.Event

`Event.ID`

### Constructor Summary

Constructors
Constructor and Description
`ScalarEvent(String anchor, String tag, ImplicitTuple implicit, String value, Mark startMark, Mark endMark, Character style)` Deprecated.
`ScalarEvent(String anchor, String tag, ImplicitTuple implicit, String value, Mark startMark, Mark endMark, DumperOptions.ScalarStyle style)`

### Method Summary

Methods
`protected String` `getArguments()` Generate human readable representation of the Event
`Event.ID` `getEventId()` Get the type (kind) if this Event
`ImplicitTuple` `getImplicit()`
`DumperOptions.ScalarStyle` `getScalarStyle()` Style of the scalar.
`Character` `getStyle()` Deprecated. use getScalarStyle() instead
`String` `getTag()` Tag of this scalar.
`String` `getValue()` String representation of the value.
`boolean` `isPlain()`

### Methods inherited from class org.yaml.snakeyaml.events.NodeEvent

`getAnchor`

### Methods inherited from class org.yaml.snakeyaml.events.Event

`equals, getEndMark, getStartMark, hashCode, is, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScalarEvent

    public ScalarEvent(String anchor,
               String tag,
               ImplicitTuple implicit,
               String value,
               Mark startMark,
               Mark endMark,
               DumperOptions.ScalarStyle style)

#### ScalarEvent

    @Deprecated
    public ScalarEvent(String anchor,
                          String tag,
                          ImplicitTuple implicit,
                          String value,
                          Mark startMark,
                          Mark endMark,
                          Character style)

Deprecated.

### Method Detail

#### getTag

    public String getTag()

Tag of this scalar.

Returns:
  The tag of this scalar, or `null` if no explicit tag is available.

#### getScalarStyle

    public DumperOptions.ScalarStyle getScalarStyle()

Style of the scalar.

null
  Flow Style - Plain
'\''
  Flow Style - Single-Quoted
'"'
  Flow Style - Double-Quoted
'|'
  Block Style - Literal
'>'
  Block Style - Folded

Returns:
  Style of the scalar.
See Also:
  Kind/Style Combinations

#### getStyle

    @Deprecated
    public Character getStyle()

Deprecated. use getScalarStyle() instead

Returns:
  char which is a value behind ScalarStyle

#### getValue

    public String getValue()

String representation of the value.

Without quotes and escaping.

Returns:
  Value as Unicode string.

#### getImplicit

    public ImplicitTuple getImplicit()

#### getArguments

    protected String getArguments()

Description copied from class: `Event`
Generate human readable representation of the Event

Overrides:
  `getArguments` in class `NodeEvent`
Returns:
  representation fore humans
See Also:
  "__repr__ for Event in PyYAML"

#### getEventId

    public Event.ID getEventId()

Description copied from class: `Event`
Get the type (kind) if this Event

Specified by:
  `getEventId` in class `Event`
Returns:
  the ID of this Event

#### isPlain

    public boolean isPlain()